Skip to main content
`Ctrl`+`K`

# TSComputeLinearStability

computes the linear stability function at a point

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeLinearStability(TS ts, PetscReal xr, PetscReal xi, PetscReal *yr, PetscReal *yi)

Collective

## Input Parameters

- ts - the `TS` context

- xr - real part of input argument

- xi - imaginary part of input argument

## Output Parameters

- yr - real part of function value

- yi - imaginary part of function value

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetRHSFunction()`, `TSComputeIFunction()`

## Level

developer

## Location

src/ts/interface/ts.c

## Implementations

TSComputeLinearStability_Euler() in src/ts/impls/explicit/euler/euler.c
TSComputeLinearStability_Theta() in src/ts/impls/implicit/theta/theta.c
TSComputeLinearStability_Mimex() in src/ts/impls/mimex/mimex.c
TSComputeLinearStability_BasicSymplectic() in src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages